Ho il seguente errore di aggiornamento:

Impossibile inizializzare le informazioni del pacchetto Si è verificato un problema irrisolvibile durante l'inizializzazione delle informazioni del pacchetto. Segnalare questo bug per il pacchetto «update-manager» e includere il seguente messaggio d'errore:

E:Il pacchetto linux-headers-3.2.0-49 deve essere reinstallato, ma non è possibile trovarne un archivio.

Come posso risolvere?

Edit

dpkg: problemi con le dipendenze impediscono la configurazione di linux-generic:
 linux-generic dipende da linux-headers-generic (= 3.2.0.49.59), ma:
  La versione di linux-headers-generic nel sistema è 3.2.0.48.58.
dpkg: errore nell'elaborare linux-generic (--configure):
 problemi con le dipendenze - lasciato non configurato
Si sono verificati degli errori nell'elaborazione:
 linux-generic

$ sudo apt-get -f install
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
E: Il pacchetto linux-headers-3.2.0-49 deve essere reinstallato, ma non è possibile trovarne un archivio.

$ sudo apt-get --fix-missing install
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
E: Il pacchetto linux-headers-3.2.0-49 deve essere reinstallato, ma non è possibile trovarne un archivio.

$ sudo apt-get clean
$ sudo apt-get update
Trovato http://it.archive.ubuntu.com precise Release.gpg                       
Trovato http://dl.google.com stable Release.gpg                              
Trovato http://security.ubuntu.com precise-security Release.gpg                
Trovato http://dl.google.com stable Release                                    
Trovato http://security.ubuntu.com precise-security Release                    
Trovato http://it.archive.ubuntu.com precise Release                        
Trovato http://dl.google.com stable/main i386 Packages                      
Trovato http://security.ubuntu.com precise-security/main i386 Packages         
Ign http://dl.google.com stable/main TranslationIndex                          
Trovato http://security.ubuntu.com precise-security/main TranslationIndex      
Trovato http://it.archive.ubuntu.com precise/main i386 Packages
Trovato http://security.ubuntu.com precise-security/main Translation-en        
Trovato http://it.archive.ubuntu.com precise/main TranslationIndex             
Trovato http://it.archive.ubuntu.com precise/main Translation-it               
Trovato http://it.archive.ubuntu.com precise/main Translation-en               
Ign http://dl.google.com stable/main Translation-it_IT
Ign http://dl.google.com stable/main Translation-it
Ign http://dl.google.com stable/main Translation-en
Lettura elenco dei pacchetti... Fatto

$ sudo apt-get upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
E: Il pacchetto linux-headers-3.2.0-49 deve essere reinstallato, ma non è possibile trovarne un archivio.

$ sudo apt-get dist-upgrade 
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
E: Il pacchetto linux-headers-3.2.0-49 deve essere reinstallato, ma non è possibile trovarne un archivio.

$ sudo apt-get autoremove
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
E: Il pacchetto linux-headers-3.2.0-49 deve essere reinstallato, ma non è possibile trovarne un archivio.

Dopo tutto ciò c'è segnalazione di crash e non effettua aggiornamenti

chiesto 17 Ago '13, 14:55

Diabolik's gravatar image

Diabolik
19113

modificato 24 Ago '13, 01:44

enzotib's gravatar image

enzotib ♦♦
14.0k112186

1

Per cortesia, le risposte sono riservate alle (proposte di) soluzioni. Puoi sempre aggiungere informazioni alla tua domanda modificandola, oppure rispondere alle risposte degli utenti usando i commenti.

(24 Ago '13, 01:45) enzotib ♦♦ enzotib's gravatar image

È un errore del kernel.
Dovresti dirci che versione usi, e qualche dettaglio in più. In linea di massima credo che dovrai reinstallare o aggiornare a una versione più recente a giudicare dalla versione, che sembra abbastanza datata.

coll. permanente

ha risposto 17 Ago '13, 15:03

agric's gravatar image

agric
1.5k111529

modificato 17 Ago '13, 15:19

enzotib's gravatar image

enzotib ♦♦
14.0k112186

Una cortesia personale, metti uno spazio dopo le virgole.... grazie :)

(17 Ago '13, 15:20) enzotib ♦♦ enzotib's gravatar image
  1. non conosco la versione;
  2. il s.o. ubuntu non l'ho installato io, l'ha fatto mio nipote che ora e' a Hong Kong;
  3. tutti gli altri aggiornamenti precedenti a questo sono riusciti;
  4. sono un "semplice utente internet" e non amo "smanettare";
  5. se avete la soluzione (Step to step) bene, altrimenti smontero' tutto e ritornero' a xp
(17 Ago '13, 18:04) Diabolik Diabolik's gravatar image

Puoi lasciare tutto così se il pc funziona; se invece no, ti consiglierei di installare lubuntu, (visto che prima c'era xp) o anche solo brevemnte provarlo dal live cd, senza installare nulla e usarlo come sistema temporaneo, o installato su una chiavetta usb, in attesa di tuo nipote. Ripeto usa i commenti non le risposte !!!!.ciao

(17 Ago '13, 19:09) agric agric's gravatar image

Per sapere la versione di ubuntu installata apri un terminale e digita:

lsb_release -d

poi premi invio

(21 Ago '13, 22:26) marcobra marcobra's gravatar image

12.04.2 seguito da LTS

(22 Ago '13, 08:37) Diabolik Diabolik's gravatar image

Hai gia provato a dare da terminale sudo apt-get update, sudo apt-get upgrade per aggiornare il sistema?

(22 Ago '13, 11:51) agric agric's gravatar image

si ma non si smuove, anzi compare il crash

(24 Ago '13, 12:27) Diabolik Diabolik's gravatar image

Apri un terminale.

Per aprire un terminale: clicca sulla prima icona in alto a sinistra e nella ricerca digita la parola "terminale", guarda le icone che ti appaiono sotto e clicca su quella denominata appunto 'terminale'.

Nella finestra del terminale, appena aperta, dai la sequenza di comandi qui sotto riportati nella parte a sfondo grigio.

Per evitare errori di battitura: è meglio se selezioni, copi, una riga alla volta, da sotto, ed la incolli nel terminale.

Dopo aver digitato o incollato ogni singola riga nel terminale, premi invio.

Alla richiesta della password da parte del sistema: digita la tua password utente, non vedrai caratteri a schermo durante la digitazione, e dopo averla digitata premi invio.

Ecco i comandi: (essi sono comandi di controllo e per così dire "di manutenzione straordinaria")

sudo dpkg --configure -a

sudo apt-get -f install

sudo apt-get --fix-missing install

sudo apt-get clean

sudo apt-get update

sudo apt-get upgrade

sudo apt-get dist-upgrade

sudo apt-get autoremove

NOTA: Non per tutte le righe digitate, ma per taluni comandi, durante l'esecuzione, otterrai una grossa mole di messaggi a video, se non ci sono errori (solitamente appaiono alla fine dell'esecuzione del singolo comando) va' tutto bene, alla fine puoi chiudere il terminale.

Siccome se va' tutto a buon fine, verrà aggiornato il kernel (il "nucleo" del sistema operativo), quando vuoi riavvia il sistema.

Ciao

coll. permanente

ha risposto 23 Ago '13, 06:06

marcobra's gravatar image

marcobra
9352519

modificato 23 Ago '13, 06:52

Il kernel linux 3.2 viene utilizzato da Ubuntu 12.04 LTS, aggiornato periodicamente ed ora alla revisione 3.2.0-52.

Il problema può essere dovuto ad un aggiornamento non riuscito o ad una pulizia delle vecchie versioni del kernel (in effetti non trova il pacchetto del kernel, probabilmente o non è stato scaricato correttamente durante un aggiornamento, o è stato rimosso dall'archivio con l'utilizzo di qualche comando da terminale o di qualche software).

Prova ad aprire il terminale e dai i seguenti comandi (prima l'uno, poi l'altro):

sudo apt-get update
sudo apt-get upgrade

e vedi se gli aggiornamenti vengono scaricati ed installati correttamente.

Come sempre, una copia dei propri file è consigliata

coll. permanente

ha risposto 22 Ago '13, 14:36

alevipri's gravatar image

alevipri
5.5k2479

modificato 23 Ago '13, 09:59

enzotib's gravatar image

enzotib ♦♦
14.0k112186

La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×279
×170
×12

domanda posta: 17 Ago '13, 14:55

domanda visualizzata: 3,573 volte

ultimo aggiornamento: 24 Ago '13, 12:27

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.